Bug 182168 - [maintainer update] sysutils/ciso clang support
Summary: [maintainer update] sysutils/ciso clang support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-16 21:40 UTC by Vasiliy Ch
Modified: 2013-09-25 04:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.36 KB, patch)
2013-09-16 21:40 UTC, Vasiliy Ch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vasiliy Ch 2013-09-16 21:40:00 UTC
This update makes it possible to build sysutils/ciso using clang.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-16 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:12:20 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Dmitry Marakasov freebsd_committer 2013-09-25 03:00:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-09-25 04:49:46 UTC
Author: amdmi3
Date: Wed Sep 25 03:49:38 2013
New Revision: 328249
URL: http://svnweb.freebsd.org/changeset/ports/328249

Log:
  - Fix build with clang
  
  PR:		182168
  Submitted by:	Vasily Chashchin <blttll@gmail.com> (maintainer)

Modified:
  head/sysutils/ciso/Makefile
  head/sysutils/ciso/files/patch-Makefile

Modified: head/sysutils/ciso/Makefile
==============================================================================
--- head/sysutils/ciso/Makefile	Wed Sep 25 03:47:08 2013	(r328248)
+++ head/sysutils/ciso/Makefile	Wed Sep 25 03:49:38 2013	(r328249)
@@ -3,14 +3,13 @@
 
 PORTNAME=	ciso
 PORTVERSION=	1.0.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 
 MAINTAINER=	blttll@gmail.com
 COMMENT=	A tool to compress ISO images to CSO format
 
-
 USE_DOS2UNIX=	yes
 PLIST_FILES=	bin/ciso
 

Modified: head/sysutils/ciso/files/patch-Makefile
==============================================================================
--- head/sysutils/ciso/files/patch-Makefile	Wed Sep 25 03:47:08 2013	(r328248)
+++ head/sysutils/ciso/files/patch-Makefile	Wed Sep 25 03:49:38 2013	(r328249)
@@ -1,12 +1,29 @@
---- Makefile.orig  2007-11-04 17:49:10.000000000 +0300
-+++ Makefile  2007-11-04 17:50:04.000000000 +0300
-@@ -1,6 +1,6 @@
--DESTDIR     =
+--- Makefile.bak	2013-09-12 16:31:40.000000000 +0000
++++ Makefile	2013-09-12 16:33:23.000000000 +0000
+@@ -1,17 +1,19 @@
+-DESTDIR     = 
 -prefix      = /usr
 -USRBINDIR   = $(DESTDIR)$(prefix)/bin
 +destdir     = ${DESTDIR}
 +prefix      = ${PREFIX}
 +USRBINDIR   = $(destdir)$(prefix)/bin
-
- CC = $(CROSS_COMPILE)gcc
- LD = $(CROSS_COMPILE)gcc
+ 
+-CC = $(CROSS_COMPILE)gcc
+-LD = $(CROSS_COMPILE)gcc
+ INSTALL = install
+ 
++.if ${CC} == "clang"
++CFLAGS += -Wno-format -Wno-tautological-compare
++.endif
++
+ all : ciso
+ ciso : ciso.o
+-	gcc -o ciso ciso.o -lz
++	${CC} ${CFLAGS} -o ciso ciso.o -lz
+ 
+ ciso.o : ciso.c
+-	gcc -o ciso.o -c ciso.c
++	${CC} ${CFLAGS} -o ciso.o -c ciso.c
+ 
+ install :
+ 	$(INSTALL) -m 755 ciso $(USRBINDIR)/ciso
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2013-09-25 04:49:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!